using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;
using System.Reflection;

[assembly: Dependency(typeof(Tooltip.Droid.ChartDependencyServiceExt))]
namespace Tooltip.Droid
{
    public class ChartDependencyServiceExt : Tooltip.ChartDependencyServiceExt
    {
        public void ShowTooltip(float x, float y, Syncfusion.SfChart.XForms.SfChart chart)
        {
            var property = typeof(ChartTooltipExt).GetProperty("NativeObject", BindingFlags.Instance | BindingFlags.NonPublic);
            object tootip = property.GetValue((chart.ChartBehaviors[0] as ChartTooltipExt));
            (tootip as Com.Syncfusion.Charts.ChartTooltipBehavior).Show(x, y, true);
        }
    }
}