﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace Tooltip
{
   public class Sample : ContentPage
    {
        public static ChartTooltipExt toolTip;
        public Sample()
        {
            SfChart chart = new SfChart();

            CategoryAxis primaryAxis = new CategoryAxis();
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            chart.SecondaryAxis = secondaryAxis;

            DataModel dataModel = new DataModel();

            chart.Series.Add(new ColumnSeries()
            {
                ItemsSource = dataModel.DataPoints

            });

            toolTip = new ChartTooltipExt();
            chart.ChartBehaviors.Add(toolTip);

            this.Content = chart;
        }
    }
    public class DataModel
    {
        public ObservableCollection<ChartDataPoint> DataPoints { get; set; }
        public DataModel()
        {
            DataPoints = new ObservableCollection<ChartDataPoint>();
            DataPoints.Add(new ChartDataPoint("Jan", 45));
            DataPoints.Add(new ChartDataPoint("Feb", 65));
            DataPoints.Add(new ChartDataPoint("Mar", 35));
            DataPoints.Add(new ChartDataPoint("Apr", 45));
            DataPoints.Add(new ChartDataPoint("May", 45));
        }
    }

    public class CustomTooltipBehavior : ChartTooltipBehavior
    {
        public CustomTooltipBehavior()
        {

        }
       
    }
}
